<?php

/**
 * @copyright 2010-2013 JTL-Software GmbH
 * @package jtl\Connector\Shopware\Model
 */

namespace jtl\Connector\Shopware\Model;

use jtl\Connector\Model\CategoryAttr as CategoryAttrModel;

/**
 * CategoryAttr Model
 * @access public
 */
class CategoryAttr extends CategoryAttrModel
{
    public const IS_ACTIVE      = 'active';
    public const CMS_HEADLINE   = 'cms_headline';
    public const IS_BLOG        = 'is_blog';
    public const LIMIT_TO_SHOPS = 'limit_to_shops';
    public const LINK_TARGET    = 'link_target';

    protected $fields = array(
        'id' => 'id',
        'categoryId' => 'categoryId',
        'isTranslated' => '',
        'isCustomProperty' => ''
    );

    /**
     * (non-PHPdoc)
     * @see \jtl\Connector\Shopware\Model\DataModel::map()
     */
    public function map($toWawi = false, \stdClass $obj = null)
    {
        return DataModel::map($toWawi, $obj, $this);
    }

    /**
     * @return string[]
     */
    public static function getSpecialAttributes()
    {
        return [
            self::IS_ACTIVE,
            'isactive',
            self::CMS_HEADLINE,
            'cmsheadline',
            self::IS_BLOG,
            self::LIMIT_TO_SHOPS,
            self::LINK_TARGET
        ];
    }

    /**
     * @param $attributeName
     * @return boolean
     */
    public static function isSpecialAttribute($attributeName)
    {
        return \in_array(\strtolower($attributeName), self::getSpecialAttributes());
    }
}
