<?php

/**
 * @copyright 2010-2013 JTL-Software GmbH
 * @package jtl\Connector\Shopware\Model
 */

namespace jtl\Connector\Shopware\Model\Linker;

use Doctrine\ORM\Mapping as ORM;

/**
 * Customer Model
 *
 *
 * @ORM\Table(name="jtl_connector_link_customer")
 * @ORM\Entity
 * @access public
 */
class CustomerLinker
{
    /**
     * @var integer
     *
     * @ORM\Column(name="host_id", type="integer", nullable=false)
     */
    protected $hostId;
/**
     * @ORM\OneToOne(targetEntity="jtl\Connector\Shopware\Model\Linker\Customer", inversedBy="linker")
     * @ORM\JoinColumn(name="customer_id", referencedColumnName="id")
     * @ORM\Id
     */
    protected $customer;
/**
     * Gets the value of customer.
     *
     * @return string
     */
    public function getCustomer()
    {
        return $this->customer;
    }

    /**
     * Sets the value of customer.
     *
     * @param customer $customer
     *
     * @return self
     */
    public function setCustomer(Customer $customer)
    {
        $this->customer = $customer;
        return $this;
    }

    /**
     * Gets the value of hostId.
     *
     * @return integer
     */
    public function getHostId()
    {
        return $this->hostId;
    }

    /**
     * Sets the value of hostId.
     *
     * @param integer $hostId the host id
     *
     * @return self
     */
    public function setHostId($hostId)
    {
        $this->hostId = $hostId;
        return $this;
    }
}
